#### D.4.25.27 setNmzDataPath

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  setNmzDataPath(string s);

Create:
  `Normaliz::nmz_data_path` to save the given path `s`

Note:
  The function sets the path for the exchange of data. By default the files will be created in the current directory.
  It seems that Singular cannot use filenames starting with `~` or `$HOME` in its input/output functions.
  You must also avoid path names starting with `/` if you work under Cygwin, since Singular and Normaliz interpret them in different ways.

Example:

    LIB "normaliz.lib";
    setNmzDataPath("examples/");
    setNmzFilename("example1");
    //now the files for the exchange with Normalize are examples/example1.SUFFIX

See also: readNmzData; rmNmzFiles; setNmzFilename; writeNmzData.

User manual for Singular version 4.4.1, 2025, generated by texi2html.